#ifndef __DirWindow_h
#define __DirWindow_h
//=============================================================================
//
//		Copyright (C) 1995-1997 by Paul S. McCarthy and Eric Sunshine.
//				Written by Paul S. McCarthy and Eric Sunshine.
//							All Rights Reserved.
//
//		This notice may not be removed from this source code.
//
//		This object is included in the MiscKit by permission from the authors
//		and its use is governed by the MiscKit license, found in the file
//		"License.rtf" in the MiscKit distribution.	Please refer to that file
//		for a list of all applicable permissions and restrictions.
//
//=============================================================================
//-----------------------------------------------------------------------------
// DirWindow.h
//
//		Manages window which displays directory listing.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: DirWindow.h,v 1.2 97/06/10 04:54:52 sunshine Exp $
// $Log:		DirWindow.h,v $
// Revision 1.2	 97/06/10  04:54:52	 sunshine
// v15: Upgraded naming.  Removed Message slot.
// 
// Revision 1.1	 97/02/05  08:24:13	 sunshine
// v13: Synchronized with ScrollDir (v29).	Added cell editing, image
// dragging, filename locking, notion of writable vs. readonly directory.
//-----------------------------------------------------------------------------
#import <objc/Object.h>
@class Button, DirArray, MiscTableScroll, TextField, Window;

enum
	{
	ICON_SLOT,
	NAME_SLOT,
	LOCK_SLOT,
	SIZE_SLOT,
	MODIFIED_SLOT,
	PERMS_SLOT,
	OWNER_SLOT,
	GROUP_SLOT,
	HARDLINKS_SLOT,
	SOFTLINK_SLOT,

	MAX_SLOT
	};

@interface DirWindow : Object
	{
	MiscTableScroll*	scroll;
	Window*				window;
	Button*				autoSortSwitch;
	Button*				cdButton;
	Button*				dragUnscaledSwitch;
	Button*				hiddenFilesSwitch;
	Button*				highlightSwitch;
	Button*				refreshButton;
	TextField*			countField;
	char*				path;
	BOOL				autoSort;
	BOOL				dragUnscaled;
	BOOL				highlightDirs;
	BOOL				showHidden;
	DirArray*			dirArray;
	id					lazyRow[ MAX_SLOT ];
	}

+ (id)launchDir:(char const*)dirname;

@end

#endif // __DirWindow_h
